Package org.kapott.hbci.sepa.jaxb.pain_001_001_02

# Class PaymentInstructionInformation4

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_02.PaymentInstructionInformation4

public class PaymentInstructionInformation4 extends Object

Java class for PaymentInstructionInformation4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentInstructionInformation4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtInfId" type="{urn:sepade:xsd:pain.001.001.02}Max35Text" minOccurs="0"/>
             <element name="PmtMtd" type="{urn:sepade:xsd:pain.001.001.02}PaymentMethod5Code"/>
             <element name="PmtTpInf" type="{urn:sepade:xsd:pain.001.001.02}PaymentTypeInformation7"/>
             <element name="ReqdExctnDt" type="{urn:sepade:xsd:pain.001.001.02}ISODate"/>
             <element name="Dbtr" type="{urn:sepade:xsd:pain.001.001.02}PartyIdentification23"/>
             <element name="DbtrAcct" type="{urn:sepade:xsd:pain.001.001.02}CashAccount8"/>
             <element name="DbtrAgt" type="{urn:sepade:xsd:pain.001.001.02}FinancialInstitution2"/>
             <element name="ChrgBr" type="{urn:sepade:xsd:pain.001.001.02}ChargeBearerType2Code"/>
             <element name="CdtTrfTxInf" type="{urn:sepade:xsd:pain.001.001.02}CreditTransferTransactionInformation2" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<CreditTransferTransactionInformation2>`
`cdtTrfTxInf`
`protected ChargeBearerType2Code`
`chrgBr`
`protected PartyIdentification23`
`dbtr`
`protected CashAccount8`
`dbtrAcct`
`protected FinancialInstitution2`
`dbtrAgt`
`protected String`
`pmtInfId`
`protected PaymentMethod5Code`
`pmtMtd`
`protected PaymentTypeInformation7`
`pmtTpInf`
`protected XMLGregorianCalendar`
`reqdExctnDt`

## Constructor Summary

Constructors
Constructor
Description
`PaymentInstructionInformation4()`

## Method Summary

Modifier and Type
Method
Description
`List<CreditTransferTransactionInformation2>`
`getCdtTrfTxInf()`
Gets the value of the cdtTrfTxInf property.
`ChargeBearerType2Code`
`getChrgBr()`
Gets the value of the chrgBr property.
`PartyIdentification23`
`getDbtr()`
Gets the value of the dbtr property.
`CashAccount8`
`getDbtrAcct()`
Gets the value of the dbtrAcct property.
`FinancialInstitution2`
`getDbtrAgt()`
Gets the value of the dbtrAgt property.
`String`
`getPmtInfId()`
Gets the value of the pmtInfId property.
`PaymentMethod5Code`
`getPmtMtd()`
Gets the value of the pmtMtd property.
`PaymentTypeInformation7`
`getPmtTpInf()`
Gets the value of the pmtTpInf property.
`XMLGregorianCalendar`
`getReqdExctnDt()`
Gets the value of the reqdExctnDt property.
`void`
`setChrgBr(ChargeBearerType2Code value)`
Sets the value of the chrgBr property.
`void`
`setDbtr(PartyIdentification23 value)`
Sets the value of the dbtr property.
`void`
`setDbtrAcct(CashAccount8 value)`
Sets the value of the dbtrAcct property.
`void`
`setDbtrAgt(FinancialInstitution2 value)`
Sets the value of the dbtrAgt property.
`void`
`setPmtInfId(String value)`
Sets the value of the pmtInfId property.
`void`
`setPmtMtd(PaymentMethod5Code value)`
Sets the value of the pmtMtd property.
`void`
`setPmtTpInf(PaymentTypeInformation7 value)`
Sets the value of the pmtTpInf property.
`void`
`setReqdExctnDt(XMLGregorianCalendar value)`
Sets the value of the reqdExctnDt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pmtInfId

protected String pmtInfId

### pmtMtd

protected PaymentMethod5Code pmtMtd

### pmtTpInf

protected PaymentTypeInformation7 pmtTpInf

### reqdExctnDt

protected XMLGregorianCalendar reqdExctnDt

### dbtr

protected PartyIdentification23 dbtr

### dbtrAcct

protected CashAccount8 dbtrAcct

### dbtrAgt

protected FinancialInstitution2 dbtrAgt

### chrgBr

protected ChargeBearerType2Code chrgBr

### cdtTrfTxInf

protected List<CreditTransferTransactionInformation2> cdtTrfTxInf

## Constructor Details

### PaymentInstructionInformation4

public PaymentInstructionInformation4()

## Method Details

### getPmtInfId

public String getPmtInfId()
Gets the value of the pmtInfId property.

Returns:
  possible object is `String`

### setPmtInfId

public void setPmtInfId(String value)
Sets the value of the pmtInfId property.

Parameters:
  `value` - allowed object is `String`

### getPmtMtd

public PaymentMethod5Code getPmtMtd()
Gets the value of the pmtMtd property.

Returns:
  possible object is `PaymentMethod5Code`

### setPmtMtd

public void setPmtMtd(PaymentMethod5Code value)
Sets the value of the pmtMtd property.

Parameters:
  `value` - allowed object is `PaymentMethod5Code`

### getPmtTpInf

public PaymentTypeInformation7 getPmtTpInf()
Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformation7`

### setPmtTpInf

public void setPmtTpInf(PaymentTypeInformation7 value)
Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformation7`

### getReqdExctnDt

public XMLGregorianCalendar getReqdExctnDt()
Gets the value of the reqdExctnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setReqdExctnDt

public void setReqdExctnDt(XMLGregorianCalendar value)
Sets the value of the reqdExctnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getDbtr

public PartyIdentification23 getDbtr()
Gets the value of the dbtr property.

Returns:
  possible object is `PartyIdentification23`

### setDbtr

public void setDbtr(PartyIdentification23 value)
Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification23`

### getDbtrAcct

public CashAccount8 getDbtrAcct()
Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccount8`

### setDbtrAcct

public void setDbtrAcct(CashAccount8 value)
Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount8`

### getDbtrAgt

public FinancialInstitution2 getDbtrAgt()
Gets the value of the dbtrAgt property.

Returns:
  possible object is `FinancialInstitution2`

### setDbtrAgt

public void setDbtrAgt(FinancialInstitution2 value)
Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `FinancialInstitution2`

### getChrgBr

public ChargeBearerType2Code getChrgBr()
Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerType2Code`

### setChrgBr

public void setChrgBr(ChargeBearerType2Code value)
Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerType2Code`

### getCdtTrfTxInf

public List<CreditTransferTransactionInformation2> getCdtTrfTxInf()
Gets the value of the cdtTrfTxInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cdtTrfTxInf property.

For example, to add a new item, do as follows:

        getCdtTrfTxInf().add(newItem);

Objects of the following type(s) are allowed in the list `CreditTransferTransactionInformation2`